%packages:
%The Word-like times font
\usepackage{times}
%\usepackage{makeidx}
%\usepackage[bookmarks,colorlinks]{hyperref}
%MP packages:
\usepackage{latexsym}
\usepackage{graphicx}
\usepackage{color}
\usepackage{longtable}
%to show correct czech accents in converted Word text
\usepackage[cp1250]{inputenc}
%
%Mathematics:
\newcommand{\di}{{\rm d}}
\newcommand{\dd}{{\rm d}}
\newcommand{\bold}[1]{\mbox{\boldmath $#1$}}
\newcommand{\dotbold}[1]{\dot {\mbox{\boldmath $#1$}}} 
\newcommand{\ddotbold}[1]{\ddot {\mbox{\boldmath $#1$}}} 
\newcommand{\refpar}[1]{(\ref{#1})}
\newcommand{\epp}{\varepsilon^p}
\newcommand{\e}{{\rm e}}
\newcommand{\bravecl}{\left\{ \begin{array}}
\newcommand{\bravecr}{\end{array}\right\}}
\newcommand{\arule}{Rule}
\newcommand{\ccir}[1]{\makebox[0pt][l]{$\bigcirc$}~#1~~}
%show corrections in typewriter font:
%\newcommand{\correction}[1]{{\ttfamily #1}}
%show corrections in current normal font:
%\newcommand{\correction}[1]{#1}
\newcommand{\correction}[1]{}
\newcommand{\forslides}{}
\newcommand{\mypath}{/home/rer/}
%Headings - names etc:
\newtheorem{figsnum}{\small \rm Fig.}
\newtheorem{statement}{\rm Rule}[section]
\newtheorem{princ}{\rm Principle}
\newtheorem{tabl}{\rm Table}
\newcommand{\sketch}{figure}
\renewcommand\contentsname{Obsah}
\renewcommand\listfigurename{Seznam obr\'{a}zk\accent23 u}
\renewcommand\listtablename{Seznam tabulek}
\renewcommand\refname{Literatura}
\renewcommand\indexname{Index}
\renewcommand\figurename{Obr.}
\renewcommand\tablename{Tabulka}
\renewcommand\partname{\v{C}\'{a}st}
\renewcommand\appendixname{Dodatek}
\renewcommand\abstractname{Abstrakt}
%my.sty robbed of /usr/local/lib/tex/macros/w94.sty
%the '96 Workshop style is in /usr/local/tex/inputs/latex/w96.sty
\def\references{\vspace*{4mm}\noindent
{\bf References:}\par\vspace*{2mm}\newcounter{rit}\setcounter{rit}{0}}

\def\refitem#1#2#3{\stepcounter{rit}\noindent\parbox[t]{8mm}
{[\arabic{rit}]}\parbox[t]{142mm}{#1 {\it #2} #3}
\vspace*{1.2mm}}

\newenvironment{mylist}[3][-0pt]
%p.98 Lamport for other counter printing commands, p.97 for other
%counters available enumii,...  One may declare a \newcounter(xxx}
%but the scope of it is global so it should not be put in a
%newenvironment definition since it is expected to be repeatedly
%used and the counter is then redeclared.
%Application: 
%\begin{mylist}{0pt}{10pt}
%  \item[labeltext] itemtext 
%    (labeltext is optional,  if not used the arabic numbering is used)
%    the first parameter is the vertical item separation, -5pt gives no
%       separation with \renewcommand{\baselinestretch}{0.7}
%    the second is the left margin (10pt means that
%        the item numbers aligne  with the enclosing  envinronment)
%\end{mylist} 
{\begin{list}
 {\arabic{enumi}}  % 
 {\usecounter{enumi}   \topsep #1 \itemsep #2 \leftmargin #3 }
}
{\end{list}}
%
%produce a list of the used files at the end of the .log file
%for archiving with ~/Cpp/extr_tar.bsh:
\listfiles
%\renewcommand{\baselinestretch}{0.7}
\topmargin -10mm 
\textheight 238mm
\textwidth 160mm
\oddsidemargin -5mm
\footskip 10mm
